import { native_ } from './Constants';
import { GPUBindGroupLayout } from './GPUBindGroupLayout';
export declare class GPUComputePipeline {
    [native_]: any;
    get label(): any;
    getBindGroupLayout(index: number): GPUBindGroupLayout;
    static fromNative(pipeline: any): GPUComputePipeline;
}
